<?php
/**
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       Cake.Console.Templates.default.views
 * @since         CakePHP(tm) v 1.2.0.5234
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
?>
<?php
if (strpos($action, 'add') === false) {
    $task = 'Edit';
} else {
    $task = 'Create New';
}
?>
<?php echo "<?php \$this->assign('title', '{$pluralHumanName}'); ?>\n"; ?>
<?php echo "<?php \$this->assign('subtitle', '{$task} {$singularHumanName}'); ?>\n"; ?>

<?php echo "<?php \$this->start('breadcrumb'); ?>\n"; ?>
<ol class="breadcrumb">
    <li><a href="<?php echo "<?= Router::url('/') ?>"; ?>admin/<?php echo $pluralVar; ?>"><?php echo $pluralHumanName ?> List</a></li>
    <li class="active"><?php echo $task . ' ' . $singularHumanName ?></li>
</ol>
<?php echo "<?php \$this->end(); ?>\n"; ?>

<div class="row">
    <div class="col-md-6">
        <div class="box">
            <div class="box-header">
                <h3 class="box-title"><?php echo $singularHumanName ?> Info.</h3>
            </div>
            <?php echo "<?php\n"; ?>
            <?php echo "echo \$this->Form->create('{$modelClass}', array(\n"; ?>
            <?php echo "    'inputDefaults' => array(\n"; ?>
            <?php echo "        'div' => 'form-group',\n"; ?>
            <?php echo "        'wrapInput' => false,\n"; ?>
            <?php echo "        'class' => 'form-control'\n"; ?>
            <?php echo "    ),\n"; ?>
            <?php echo "));\n"; ?>
            <?php echo "?>\n"; ?>
            <div class="box-body">
                <?php
                foreach ($fields as $field) {
                    if (strpos($action, 'add') !== false && $field == $primaryKey) {
                        continue;
                    } elseif (!in_array($field, array('created', 'modified', 'updated'))) {
                        echo "\t\t\t\t\t\t<?php echo \$this->Form->input('{$field}', array('class' => 'form-control')); ?>\n";
                    }
                }
                if (!empty($associations['hasAndBelongsToMany'])) {
                    foreach ($associations['hasAndBelongsToMany'] as $assocName => $assocData) {
                        echo "\t\t\t\t\t\t\t<?php echo \$this->Form->input('{$assocName}');?>\n";
                    }
                }
                echo "\n";
                ?>
            </div>
            <div class="box-footer">
                <div class="pull-right">
                    <?php echo "<?php\n"; ?>
                    <?php echo "echo \$this->Html->link('Cancel', \$this->request->referer(), array('class' => 'btn btn-link'));\n"; ?>

                    <?php echo "echo \$this->Form->submit('Save', array(\n"; ?>
                    <?php echo "    'div' => false,\n"; ?>
                    <?php echo "    'class' => 'btn btn-primary'\n"; ?>
                    <?php echo "));\n"; ?>
                    <?php echo "?>\n"; ?>
                </div>
            </div>
            <?php echo "<?php echo \$this->Form->end(); ?>\n"; ?>
        </div>
    </div>
</div>

<!---
<div class="<?php echo $pluralVar; ?> form">
<?php echo "<?php echo \$this->Form->create('{$modelClass}'); ?>\n"; ?>
    <fieldset>
        <legend><?php printf("<?php echo __('%s %s'); ?>", Inflector::humanize($action), $singularHumanName); ?></legend>
<?php
echo "\t<?php\n";
foreach ($fields as $field) {
    if (strpos($action, 'add') !== false && $field === $primaryKey) {
        continue;
    } elseif (!in_array($field, array('created', 'modified', 'updated'))) {
        echo "\t\techo \$this->Form->input('{$field}');\n";
    }
}
if (!empty($associations['hasAndBelongsToMany'])) {
    foreach ($associations['hasAndBelongsToMany'] as $assocName => $assocData) {
        echo "\t\techo \$this->Form->input('{$assocName}');\n";
    }
}
echo "\t?>\n";
?>
    </fieldset>
<?php
echo "<?php echo \$this->Form->end(__('Submit')); ?>\n";
?>
</div>
<div class="actions">
    <h3><?php echo "<?php echo __('Actions'); ?>"; ?></h3>
    <ul>

<?php if (strpos($action, 'add') === false): ?>
                        <li><?php echo "<?php echo \$this->Form->postLink(__('Delete'), array('action' => 'delete', \$this->Form->value('{$modelClass}.{$primaryKey}')), array(), __('Are you sure you want to delete # %s?', \$this->Form->value('{$modelClass}.{$primaryKey}'))); ?>"; ?></li>
<?php endif; ?>
        <li><?php echo "<?php echo \$this->Html->link(__('List " . $pluralHumanName . "'), array('action' => 'index')); ?>"; ?></li>
<?php
$done = array();
foreach ($associations as $type => $data) {
    foreach ($data as $alias => $details) {
        if ($details['controller'] != $this->name && !in_array($details['controller'], $done)) {
            echo "\t\t<li><?php echo \$this->Html->link(__('List " . Inflector::humanize($details['controller']) . "'), array('controller' => '{$details['controller']}', 'action' => 'index')); ?> </li>\n";
            echo "\t\t<li><?php echo \$this->Html->link(__('New " . Inflector::humanize(Inflector::underscore($alias)) . "'), array('controller' => '{$details['controller']}', 'action' => 'add')); ?> </li>\n";
            $done[] = $details['controller'];
        }
    }
}
?>
    </ul>
</div>
-->