<?php
/**
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       Cake.Console.Templates.default.views
 * @since         CakePHP(tm) v 1.2.0.5234
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
?>

<?php echo "<?php \$this->assign('title', '{$pluralHumanName}'); ?>\n"; ?>
<?php echo "<?php // \$this->assign('subtitle', 'List'); ?>\n"; ?>

<?php echo "<?php \$this->start('breadcrumb'); ?>\n"; ?>
<ol class="breadcrumb">
    <li><a href="<?php echo "<?= Router::url('/') ?>"; ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active"><?php echo $pluralHumanName; ?></li>
</ol>
<?php echo "<?php \$this->end(); ?>\n"; ?>

<?php echo "<?php echo \$this->start('scriptTop'); ?>\n"; ?>
<?php echo "<?php echo \$this->Html->css('reponsive-table'); ?>\n"; ?>
<?php echo "<?php echo \$this->end(); ?>\n"; ?>


<div class="row">
    <div class="col-xs-12">
        <div class="box">
            <div class="box-header">
                <h3 class="box-title"><?php echo "<?php echo __('{$pluralHumanName}'); ?>"; ?> List</h3>
            </div><!-- /.box-header -->
            <div class="box-body">
                <div class="row hidden-print">
                    <div class="col-lg-8">
                        <button type="button" class="btn btn-primary" onclick="window.location.href = '<?php echo "<?= Router::url('/') ?>"; ?>admin/<?php echo $pluralVar; ?>/add'">Add New Record</button>

                        <div class="btn-group" role="group" aria-label="...">
                            <button id="btnPrintHtml" type="button" class="btn btn-default">Print</button>
                            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                Export <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu" role="menu">
                                <li><a href="<?php echo "<?= Router::url('/') ?>"; ?>admin/<?php echo $pluralVar; ?>/export.csv">CSV</a></li>
                                <!--<li><a href="">Excel</a></li>-->
                                <li><a href="<?php echo "<?= Router::url('/') ?>"; ?>admin/<?php echo $pluralVar; ?>/print.pdf">PDF</a></li>
                            </ul>
                        </div>

                        <div style="display: inline-block; margin-left: 20px">
                            Show 
                            <?php echo "<?php\n"; ?>
                            <?php echo "\$options = array(\n"; ?>
                            <?php echo "\t    '10' => '10',\n"; ?>
                            <?php echo "\t    '25' => '25',\n"; ?>
                            <?php echo "\t    '50' => '50',\n"; ?>
                            <?php echo "\t    '100' => '100',\n"; ?>
                            <?php echo ");\n"; ?>
                            <?php echo "echo \$this->Form->select('filterLimit', \$options, array(\n"; ?>
                            <?php echo "\t    'empty' => false,\n"; ?>
                            <?php echo "\t    'class' => 'input-sm',\n"; ?>
                            <?php echo "\t    'default' => \$this->request->query('limit'),\n"; ?>
                            <?php echo "))\n"; ?>
                            <?php echo "?>\n"; ?>
                            entries
                        </div>

                    </div>
                    <div class="col-lg-4">
                        <?php echo "<?= \$this->Form->create(null, array('type' => 'get')) ?>\n"; ?>
                        <div class="input-group custom-search-form">
                            <input type="text" name="term" class="form-control" placeholder="Search..." value="<?php echo "<?= isset(\$this->request->query['term']) ? \$this->request->query['term'] : '' ?>"; ?>">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                                <button class="btn btn-default" type="button" onclick="window.location.href = '<?php echo "<?= Router::url('/') ?>"; ?>admin/<?php echo $pluralVar; ?>/search'">
                                    Advanced
                                </button>
                            </span>
                        </div>
                        <?php echo "<?= \$this->Form->end() ?>"; ?>
                    </div>
                </div>

                <div class="row" style="margin-top: 15px">
                    
                    <div class="col-lg-12">
                        
                        <?php echo "<?php if (count(\${$pluralVar}) > 0) : ?>\n"; ?>

                        <?php echo "<?= \$this->Form->create('{$modelClass}', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>\n"; ?>
                        <div id="no-more-tables">

                            <table class="table table-striped table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th style="width: 50px"><input id="checkAll" type="checkbox" value="all"/></th>
                                        <th style="width: 50px"><?php echo "<?= \$this->Paginator->sort('id', '#') ?>"; ?></th>
                                        <th><?php echo "<?= \$this->Paginator->sort('name') ?>"; ?></th>
                                        <th style="width: 130px" class="hidden-print">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php echo "<?php foreach (\${$pluralVar} as \${$singularVar}): ?>\n"; ?>
                                    <tr>
                                        <td data-title="Delete">
                                            <?php echo "<?php\n"; ?>
                                            <?php echo "echo \$this->Form->checkbox('{$modelClass}.' . \${$singularVar}['{$modelClass}']['id'], array(\n"; ?>
                                            <?php echo "    'value' => \${$singularVar}['{$modelClass}']['id'],\n"; ?>
                                            <?php echo "    'hiddenField' => false,\n"; ?>
                                            <?php echo "    'class' => 'recordsToDelete',\n"; ?>
                                            <?php echo "    'name' => 'DeleteCheck[]'\n"; ?>
                                            <?php echo "));\n"; ?>
                                            <?php echo "?>\n"; ?>
                                        </td>
                                        <td data-title="#"><?php echo "<?= \${$singularVar}['{$modelClass}']['id'] ?>"; ?></td>
                                        <td data-title="Name">
                                            <?php echo "<?= \$this->Html->link(\${$singularVar}['{$modelClass}']['name'], array('action' => 'view', \${$singularVar}['{$modelClass}']['id']), array('class' => 'text-link')) ?>\n"; ?>
                                        </td>
                                        <td data-title="Action" class="hidden-print">
                                            <div class="btn-group" role="group" aria-label="...">
                                                <?php echo "<?= \$this->Html->link('<i class=\"fa fa-pencil-square-o\"></i> ' . __('Edit'), array('action' => 'edit', \${$singularVar}['{$modelClass}']['id']), array('class' => 'btn btn-xs btn-link', 'escape' => false)) ?>\n"; ?>
                                                <?php echo "<?= \$this->CustomForm->postLink('<i class=\"fa fa-trash-o\"></i> ' . __('Delete'), array('action' => 'delete', \${$singularVar}['{$modelClass}']['id']), array('inline' => false,'class' => 'btn btn-xs btn-link', 'escape' => false), 'Are you sure?') ?>\n"; ?>
                                            </div>
                                        </td>
                                    </tr>
                                    <?php echo "<?php endforeach; ?>\n"; ?>
                                </tbody>
                            </table>
                        </div>

                        <nav class="pull-right">
                            <?php echo "<?php\n"; ?>
                            <?php echo "echo \$this->Paginator->pagination(array(\n"; ?>
                            <?php echo "    'ul' => 'pagination'\n"; ?>
                            <?php echo "));\n"; ?>
                            <?php echo "?>\n"; ?>
                        </nav>

                        <div>
                            <div style="margin-bottom: 10px">
                                <?php echo "<?= \$this->Form->submit('Delete', array('class' => 'btn btn-danger', 'div' => false)) ?>\n"; ?>
                                <?php echo "<?php\n"; ?>
                                <?php echo "if (isset(\$this->request->query['name']) || isset(\$this->request->query['term'])) {\n"; ?>
                                <?php echo "    echo \$this->Html->link('Clear search', array('action' => 'index'), array('class' => 'btn btn-link', 'div' => 'false'));\n"; ?>
                                <?php echo "}\n"; ?>
                                <?php echo "?>\n"; ?>
                            </div>
                            <!--Showing 1 to 10 of 100 entries-->
                            <?php echo "<?php\n"; ?>
                            <?php echo "echo \$this->Paginator->counter(\n"; ?>
                            <?php echo "        'Showing {:start} to {:end} of {:count} entries'\n"; ?>
                            <?php echo ");\n"; ?>
                            <?php echo "?>\n"; ?>
                        </div>

                        <?php echo "<?= \$this->Form->end() ?>\n"; ?>

                        <?php echo "<?= \$this->fetch('postLink') ?>\n"; ?>
                        
                        <?php echo "<?php else : ?>\n"; ?>
                            <p class="text-center">No record(s) found. <?php echo "<?= \$this->Html->link(__('Click here to add a new record.'), array('action' => 'add')); ?>"; ?></p>
                        <?php echo "<?php endif; ?>\n"; ?>

                    </div>

                </div>
            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div>
</div>

<?php echo "<?php echo \$this->start('scriptBottom'); ?>\n"; ?>
<script>
    $(document).ready(function () {
        $('#checkAll').on('click', function () {
            $('.recordsToDelete').prop("checked", this.checked);
        });

        $("#formBulkDelete").submit(function (e) {
            var self = this;
            e.preventDefault();

            var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;

            if (atLeastOneIsChecked) {
                bootbox.confirm("Are you sure?", function (result) {
                    if (result) {
                        self.submit();
                    }
                });
            } else {
                bootbox.alert('Please select at least one record to delete');
            }

            return false;
        });

        $('#filterLimit').change(function () {
            window.location = '<?php echo "<?= Router::url('/', true) ?>"; ?>admin/<?php echo $pluralVar ?>/index?limit=' + $(this).val();
        });

        $("#btnPrintHtml").printPage({
            url: "<?php echo "<?= Router::url('/', true) ?>"; ?>admin/<?php echo $pluralVar; ?>/print",
            attr: "href",
            message: "Your document is being created"
        });
    });
</script>
<?php echo "<?php echo \$this->end(); ?>\n"; ?>


<!--

<div class="<?php echo $pluralVar; ?> index">
        <h2><?php echo "<?php echo __('{$pluralHumanName}'); ?>"; ?></h2>
        <table cellpadding="0" cellspacing="0">
        <thead>
        <tr>
<?php foreach ($fields as $field): ?>
                    <th><?php echo "<?php echo \$this->Paginator->sort('{$field}'); ?>"; ?></th>
<?php endforeach; ?>
                <th class="actions"><?php echo "<?php echo __('Actions'); ?>"; ?></th>
        </tr>
        </thead>
        <tbody>
<?php
echo "<?php foreach (\${$pluralVar} as \${$singularVar}): ?>\n";
echo "\t<tr>\n";
foreach ($fields as $field) {
    $isKey = false;
    if (!empty($associations['belongsTo'])) {
        foreach ($associations['belongsTo'] as $alias => $details) {
            if ($field === $details['foreignKey']) {
                $isKey = true;
                echo "\t\t<td>\n\t\t\t<?php echo \$this->Html->link(\${$singularVar}['{$alias}']['{$details['displayField']}'], array('controller' => '{$details['controller']}', 'action' => 'view', \${$singularVar}['{$alias}']['{$details['primaryKey']}'])); ?>\n\t\t</td>\n";
                break;
            }
        }
    }
    if ($isKey !== true) {
        echo "\t\t<td><?php echo h(\${$singularVar}['{$modelClass}']['{$field}']); ?>&nbsp;</td>\n";
    }
}

echo "\t\t<td class=\"actions\">\n";
echo "\t\t\t<?php echo \$this->Html->link(__('View'), array('action' => 'view', \${$singularVar}['{$modelClass}']['{$primaryKey}'])); ?>\n";
echo "\t\t\t<?php echo \$this->Html->link(__('Edit'), array('action' => 'edit', \${$singularVar}['{$modelClass}']['{$primaryKey}'])); ?>\n";
echo "\t\t\t<?php echo \$this->Form->postLink(__('Delete'), array('action' => 'delete', \${$singularVar}['{$modelClass}']['{$primaryKey}']), array('confirm' => __('Are you sure you want to delete # %s?', \${$singularVar}['{$modelClass}']['{$primaryKey}']))); ?>\n";
echo "\t\t</td>\n";
echo "\t</tr>\n";

echo "<?php endforeach; ?>\n";
?>
        </tbody>
        </table>
        <p>
<?php echo "<?php
	echo \$this->Paginator->counter(array(
		'format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')
	));
	?>"; ?>
        </p>
        <div class="paging">
<?php
echo "<?php\n";
echo "\t\techo \$this->Paginator->prev('< ' . __('previous'), array(), null, array('class' => 'prev disabled'));\n";
echo "\t\techo \$this->Paginator->numbers(array('separator' => ''));\n";
echo "\t\techo \$this->Paginator->next(__('next') . ' >', array(), null, array('class' => 'next disabled'));\n";
echo "\t?>\n";
?>
        </div>
</div>
<div class="actions">
        <h3><?php echo "<?php echo __('Actions'); ?>"; ?></h3>
        <ul>
                <li><?php echo "<?php echo \$this->Html->link(__('New " . $singularHumanName . "'), array('action' => 'add')); ?>"; ?></li>
<?php
$done = array();
foreach ($associations as $type => $data) {
    foreach ($data as $alias => $details) {
        if ($details['controller'] != $this->name && !in_array($details['controller'], $done)) {
            echo "\t\t<li><?php echo \$this->Html->link(__('List " . Inflector::humanize($details['controller']) . "'), array('controller' => '{$details['controller']}', 'action' => 'index')); ?> </li>\n";
            echo "\t\t<li><?php echo \$this->Html->link(__('New " . Inflector::humanize(Inflector::underscore($alias)) . "'), array('controller' => '{$details['controller']}', 'action' => 'add')); ?> </li>\n";
            $done[] = $details['controller'];
        }
    }
}
?>
        </ul>
</div>

-->
