<?php

App::uses('Component', 'Controller');

class AjaxFormsComponent extends Component {

    public $components = array('RequestHandler');
    public $doBeforeRender = true;
    public $viewToRender = false;
    public $enabled = true;
//    public $helpers = array('Js');

    function initialize(Controller $controller) {
        $this->controller = $controller;
    }

    public function beforeRender(Controller $controller) {
        if ($this->controller->data && $this->RequestHandler->isAjax() && $this->doBeforeRender && $this->enabled) {
            $invalid = array();
            $ok = true;
            $rendered = null;

            foreach ($this->controller->data as $model => $vals) {
                $this->controller->loadModel($model);
                $invalid[$model] = $this->controller->{$model}->validationErrors;
                if ($invalid[$model])
                    $ok = false;
            }

            //Render the view and save it if needed
            if ($this->viewToRender) {
                $this->doBeforeRender = false;
                $this->controller->autoLayout = false;
                $rendered = $this->controller->render($this->viewToRender);
            }


            $data = $this->controller->data;
            $object = compact('ok', 'invalid', 'data', 'rendered');
//            App::import('Helper', 'Js');
//            $js = new JsHelper();
//            echo $js->object($object);
            echo json_encode($object);
            exit;
        }
    }

}
