<?php
App::uses('AppController', 'Controller');
App::uses('CakeEmail', 'Network/Email');

class ContactsController extends AppController
{

    public function beforeFilter()
    {
        parent::beforeFilter();

        $this->Auth->allow('send');
    }

    public function send()
    {
        $this->layout = 'website_user';

        if ($this->request->is('post')) {
            $this->Contact->set($this->request->data);

            if ($this->Contact->validates()) {
                $email = new CakeEmail();
                $email->config('default');
                $email->from($this->request->data['Contact']['email'])
                    ->to(Configure::read('Email.contact_mail'))
                    ->subject(Configure::read('Application.name') . ' - ' . $this->request->data['Contact']['name'])
                    ->send($this->request->data['Contact']['message']);

                $this->Session->setFlash(__('Your email has been sent to our admin. We will response to your email shortly.'), 'flash_website/success');
            } else {
                $this->Session->setFlash(__('The email could not be sent. Please, try again.'), 'flash_website/error');
            }
        }
    }
}
