<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

App::uses('AppController', 'Controller');

/**
 * CakePHP SystemController
 * @author Sammy Guergachi <sguergachi at gmail.com>
 */
class SystemController extends AppController
{

    public function beforeFilter()
    {
        parent::beforeFilter();
    }

    public function admin_dashboard()
    {
        // count jobs
        $this->loadModel('Job');
        $this->set('count_jobs', $this->Job->find('count'));
        
        // count applicants
        $this->loadModel('Applicant');
        $this->set('count_applicants', $this->Applicant->find('count'));

        // count users
        $this->loadModel('User');
        $this->set('count_users', $this->User->find('count'));

        // total paid
        $this->loadModel('Payment');
        $total = $this->Payment->find('all', array(
            'fields' => array('sum(Payment.amount) AS total'),
            'conditions' => array('Payment.status' => 'Paid')
        ));
        $this->set('total_paid', $total[0][0]['total']);

        // montly payment reports
        $monthly_report = $this->Payment->getMonthlyReport();
        $this->set('monthly_report', $monthly_report);

        $this->set('end_month', date('F, Y'));
        $this->set('start_month', date('F, Y', strtotime('-11 month')));
    }

    public function dashboard()
    {
        $this->layout = 'website';

        return $this->redirect('/users/profile');
    }

    public function admin_testphp()
    {
        phpinfo();
        die();
    }
}
