<?php
App::uses('AppController', 'Controller');

/**
 * SystemSettings Controller
 *
 * Use DataTables
 * 
 * @property SystemSetting $SystemSetting
 * @property PaginatorComponent $Paginator
 */
class SystemSettingsController extends AppController
{

    /**
     * Helpers
     */
    public $helpers = array('CustomForm');

    public function beforeFilter()
    {
        parent::beforeFilter();
    }

    /**
     * admin_edit method
     *
     * @throws NotFoundException
     * @param string $id
     * @return void
     */
    public function admin_edit()
    {
        $this->SystemSetting->id = 1;

        if ($this->request->is(array('post', 'put'))) {

            // Clear banner if no file to upload
            if (empty($this->request->data['SystemSetting']['banner'])) {
                unset($this->request->data['SystemSetting']['banner']);
            }

            if ($this->SystemSetting->save($this->request->data)) {
                $this->Session->setFlash(__('The system settings has been saved.'), 'flash/success');
            } else {
                $this->Session->setFlash(__('The system settings could not be saved. Please, try again.'), 'flash/error');
            }
        }

        $options = array('conditions' => array('SystemSetting.' . $this->SystemSetting->primaryKey => 1));
        $this->request->data = $this->SystemSetting->find('first', $options);
    }
    
    public function admin_edit_ads()
    {
        $this->SystemSetting->id = 1;

        if ($this->request->is(array('post', 'put'))) {

            if ($this->SystemSetting->save($this->request->data)) {
                $this->Session->setFlash(__('The system settings has been saved.'), 'flash/success');
            } else {
                $this->Session->setFlash(__('The system settings could not be saved. Please, try again.'), 'flash/error');
            }
        }

        $options = array('conditions' => array('SystemSetting.' . $this->SystemSetting->primaryKey => 1));
        $this->request->data = $this->SystemSetting->find('first', $options);
    }

    public function admin_remove_banner()
    {
        $this->request->allowMethod('post', 'delete');

        $this->SystemSetting->id = 1;
        $this->SystemSetting->set('banner', null);
        $this->SystemSetting->set('banner_dir', null);

        if ($this->SystemSetting->save()) {
            $this->Session->setFlash(__('The banner has been removed.'), 'flash/success');
        } else {
            $this->Session->setFlash(__('The banner could not be removed. Please, try again.'), 'flash/error');
        }

        return $this->redirect(array('action' => 'edit', 1));
    }
}
