<?php
App::uses('AppModel', 'Model');
App::uses('BlowfishPasswordHasher', 'Controller/Component/Auth');

/**
 * Page Model
 *
 */
class Page extends AppModel
{

    /**
     * Display field
     *
     * @var string
     */
    public $displayField = 'name';
    public $actsAs = array(
        'Search.Searchable'
    );
    public $filterArgs = array(
        'id' => array(
            'type' => 'value',
            'field' => 'id'
        ),
        'title' => array(
            'type' => 'like',
            'field' => 'title'
        ),
        'slug' => array(
            'type' => 'like',
            'field' => 'slug'
        ),
        'content' => array(
            'type' => 'value',
            'field' => 'content'
        ),
        'term' => array(
            'type' => 'query',
            'method' => 'searchTermCondition'
        ),
    );

    public function searchTermCondition($data = array())
    {
        $filter = $data['term'];
        $conditions = array(
            'OR' => array(
                $this->alias . '.name LIKE' => '%' . $this->formatLike($filter) . '%',
            )
        );
        return $conditions;
    }

    /**
     * Validation rules
     *
     * @var array
     */
    public $validate = array(
        'title' => array(
            'notEmpty' => array(
                'rule' => array('notEmpty'),
                'message' => 'Title is required',
            ),
        ),
    );
}
