<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times"></i></button>
            <h4 class="modal-title">Update Applicant</h4>
        </div>
        <?php
        echo $this->Form->create('Applicant', array(
            'url' => Router::url('/', true) . 'applicants/edit_ajax.json',
            'inputDefaults' => array(
                'div' => 'form-group',
                'wrapInput' => false,
                'class' => 'form-control'
            ),
            'id' => 'ApplicantForm',
            'type' => 'file'
        ));
        ?>
        <div class="modal-body">
            <table class="table table-striped">
                <tbody>
<!--                    <tr>
                        <td><?php echo __('Id'); ?></td>
                        <td>
                            <?php echo h($applicant['Applicant']['id']); ?>
                            &nbsp;
                        </td>
                    </tr>-->
                    <tr>
                        <td><?php echo __('Company'); ?></td>
                        <td>
                            <?php echo h($applicant['Job']['User']['company_name']); ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Job Title'); ?></td>
                        <td>
                            <?php echo h($applicant['Job']['title']); ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Name'); ?></td>
                        <td>
                            <?php echo h($applicant['Applicant']['name']); ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Email'); ?></td>
                        <td>
                            <?php echo h($applicant['Applicant']['email']); ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Phone'); ?></td>
                        <td>
                            <?php echo h($applicant['Applicant']['phone']); ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Cv'); ?></td>
                        <td>
                            <?php echo $this->Html->link($applicant['Applicant']['cv'], Router::url('/', true) . 'files/applicant/cv/' . $applicant['Applicant']['cv_dir'] . '/' . $applicant['Applicant']['cv'], array('target' => '_blank')); ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Cover Letter'); ?></td>
                        <td>
                            <?php echo $applicant['Applicant']['cover_letter']; ?>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Created'); ?></td>
                        <td>
                            <?php echo $this->Time->format($applicant['Applicant']['created'], '%B %e, %Y %H:%M %p'); ?>
                            &nbsp;
                        </td>
                    </tr>
                </tbody>
            </table>
            
            <?php echo $this->Form->input('id', array('class' => 'form-control')); ?>

            <?php
            $options = array(
                'New' => 'New',
                'Processing' => 'Processing',
                'Rejected' => 'Rejected',
                'Pending interview' => 'Pending interview',
                'Job offered' => 'Job offered',
                'Job accecpted' => 'Job accecpted',
                'Close' => 'Close',
                )
            ?>
            <?php echo $this->Form->input('status', array('options' => $options, 'class' => 'form-control')); ?>
            <?php echo $this->Form->input('note', array('class' => 'form-control')); ?>

        </div>
        <div class="modal-footer">
            <a class="btn" data-dismiss="modal">Cancel</a>
            <?php
            echo $this->Form->submit('Save', array(
                'div' => false,
                'class' => 'btn btn-primary'
            ));
            ?>
        </div>
    </div>
</div>

<script>
    $('#ApplicantForm').cakeAjaxForm();
    
    $('#ApplicantCoverLetter, #ApplicantNote').summernote({
        height: 200,
        toolbar: [
            // [groupName, [list of button]]
            ['style', ['bold', 'italic', 'underline', 'clear']],
            ['para', ['ul', 'ol', 'paragraph']]
        ]
    });
</script>