<?php echo $this->assign('title', 'Jobs'); ?>
<?php echo $this->assign('subtitle', 'Edit Job'); ?>

<?php echo $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?php echo Router::url('/') ?>admin/jobs">Jobs List</a></li>
    <li class="active">Edit Job</li>
</ol>
<?php echo $this->end(); ?>

<div class="row">
    <div class="col-md-12">
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">Job Info.</h3>
            </div>
            <?php
            echo $this->Form->create('Job', array(
                'inputDefaults' => array(
                    'div' => 'form-group',
                    'label' => array(
                        'class' => 'col col-md-3 control-label'
                    ),
                    'wrapInput' => 'col col-md-8',
                    'class' => 'form-control',
                ),
                'class' => 'form-horizontal'
            ));
            ?>
            <div class="box-body">
                <?php echo $this->Form->input('id', array('class' => 'form-control')); ?>
                <?php echo $this->Form->input('user_id', array('class' => 'form-control', 'style' => 'width: auto')); ?>
                <?php echo $this->Form->input('title', array('class' => 'form-control')); ?>

                <?php
                echo $this->Form->input('is_remote', array(
                    'label' => array(
                        'text' => 'Remote / Home Office',
                        'class' => 'control-label'
                    ),
                    'class' => false,
                    'wrapInput' => 'col col-md-8 col-md-offset-3',
                ));
                ?>

                <?php
                echo $this->Form->input('is_featured', array(
                    'label' => array(
                        'text' => 'Featured',
                        'class' => 'control-label'
                    ),
                    'class' => false,
                    'wrapInput' => 'col col-md-8 col-md-offset-3',
                ));
                ?>

                <?php
                echo $this->Form->input('is_applicant_form', array(
                    'label' => array(
                        'text' => 'Enable Application Form',
                        'class' => 'control-label'
                    ),
                    'class' => false,
                    'wrapInput' => 'col col-md-8 col-md-offset-3',
                ));
                ?>

                <?php // echo $this->Form->input('slug', array('class' => 'form-control')); ?>
                <?php echo $this->Form->input('description', array('class' => 'form-control')); ?>

                <div id="panelApplicantForm" <?php echo ($this->request->data['Job']['is_applicant_form']) ? 'style="display: none"' : '' ?>>
                    <?php echo $this->Form->input('how_to_apply', array('class' => 'form-control')); ?>
                </div>

                <?php echo $this->Form->input('type', array('class' => 'form-control')); ?>

                <div id="panelLocation" <?php echo ($this->request->data['Job']['is_remote']) ? 'style="display: none"' : '' ?>>
                    <?php echo $this->Form->input('location', array('class' => 'form-control')); ?>
                    <?php echo $this->Form->input('country', array('class' => 'form-control')); ?>
                </div>
            </div>

        </div>
        <div class="box-footer">
            <div class="pull-right">
                <?php
                echo $this->Html->link('Cancel', $this->request->referer(), array('class' => 'btn btn-link'));

                echo $this->Form->submit('Save', array(
                    'div' => false,
                    'class' => 'btn btn-primary'
                ));
                ?>
            </div>
        </div>
        <?php echo $this->Form->end(); ?>
    </div>
</div>
</div>

<?php echo $this->Html->script('ckeditor/ckeditor'); ?>

<script>
    $("#JobIsRemote").click(function () {
        $("#panelLocation").slideToggle("fast");
    });

    $("#JobIsApplicantForm").click(function () {
        $("#panelApplicantForm").slideToggle("fast");
    });

//    $(document).ready(function () {
    CKEDITOR.replace('JobDescription', {
        toolbarGroups: [
            {name: 'document', groups: ['mode', 'document', 'doctools']},
            {name: 'clipboard', groups: ['clipboard', 'undo']},
            {name: 'editing', groups: ['find', 'selection', 'spellchecker', 'editing']},
            {name: 'forms', groups: ['forms']},
            {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
            {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align', 'bidi', 'paragraph']},
            {name: 'links', groups: ['links']},
            {name: 'insert', groups: ['insert']},
            {name: 'styles', groups: ['styles']},
            {name: 'colors', groups: ['colors']},
            {name: 'tools', groups: ['tools']},
            {name: 'others', groups: ['others']},
            {name: 'about', groups: ['about']}
        ],
        removeButtons: 'Save,NewPage,Preview,Print,Templates,Cut,Copy,Paste,PasteText,PasteFromWord,Undo,Redo,Replace,Find,SelectAll,Scayt,Form,Radio,TextField,Textarea,Select,Button,ImageButton,HiddenField,Checkbox,Superscript,Subscript,Blockquote,CreateDiv,JustifyLeft,JustifyCenter,JustifyRight,JustifyBlock,Language,BidiRtl,BidiLtr,Anchor,Flash,HorizontalRule,Smiley,SpecialChar,PageBreak,Iframe,ShowBlocks',
        filebrowserBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=files',
        filebrowserImageBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=images',
        filebrowserFlashBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=flash',
        filebrowserUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=files',
        filebrowserImageUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=images',
        filebrowserFlashUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=flash',
        baseUrl: '<?php echo Router::url('/', true) ?>',
    });

    CKEDITOR.replace('JobHowToApply', {
        toolbarGroups: [
            {name: 'document', groups: ['mode', 'document', 'doctools']},
            {name: 'clipboard', groups: ['clipboard', 'undo']},
            {name: 'editing', groups: ['find', 'selection', 'spellchecker', 'editing']},
            {name: 'forms', groups: ['forms']},
            {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
            {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align', 'bidi', 'paragraph']},
            {name: 'links', groups: ['links']},
            {name: 'insert', groups: ['insert']},
            {name: 'styles', groups: ['styles']},
            {name: 'colors', groups: ['colors']},
            {name: 'tools', groups: ['tools']},
            {name: 'others', groups: ['others']},
            {name: 'about', groups: ['about']}
        ],
        removeButtons: 'Save,NewPage,Preview,Print,Templates,Cut,Copy,Paste,PasteText,PasteFromWord,Undo,Redo,Replace,Find,SelectAll,Scayt,Form,Radio,TextField,Textarea,Select,Button,ImageButton,HiddenField,Checkbox,Superscript,Subscript,Blockquote,CreateDiv,JustifyLeft,JustifyCenter,JustifyRight,JustifyBlock,Language,BidiRtl,BidiLtr,Anchor,Flash,HorizontalRule,Smiley,SpecialChar,PageBreak,Iframe,ShowBlocks',
        filebrowserBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=files',
        filebrowserImageBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=images',
        filebrowserFlashBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=flash',
        filebrowserUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=files',
        filebrowserImageUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=images',
        filebrowserFlashUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=flash',
        baseUrl: '<?php echo Router::url('/', true) ?>',
    });

    $.fn.modal.Constructor.prototype.enforceFocus = function () {
        $(document)
                .off('focusin.bs.modal') // guard against infinite focus loop
                .on('focusin.bs.modal', $.proxy(function (e) {
                    if (
                            this.$element[ 0 ] !== e.target && !this.$element.has(e.target).length
                            // CKEditor compatibility fix start.
                            && !$(e.target).closest('.cke_dialog, .cke').length
                            // CKEditor compatibility fix end.
                            ) {
                        this.$element.trigger('focus');
                    }
                }, this));
    };
//    };
</script>