<?php echo $this->assign('title', 'Jobs'); ?>
<?php echo $this->assign('subtitle', 'View Job'); ?>

<?php echo $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?php echo Router::url('/') ?>admin/jobs">Jobs List</a></li>
    <li class="active">View Job</li>
</ol>
<?php echo $this->end(); ?>

<div class="row">
    <div class="col-md-12">
        <div class="box box-primary">
            <div class="box-header">
                <h3 class="box-title">Job Info.</h3>
            </div>
            <div class="box-body">
                <table class="table table-striped">
                    <tbody>
                        <tr>
                            <td><?php echo __('User'); ?></td>
                            <td>
                                <?php echo h($job['User']['company_name']); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Title'); ?></td>
                            <td>
                                <?php echo h($job['Job']['title']); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Slug'); ?></td>
                            <td>
                                <?php echo h($job['Job']['slug']); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Description'); ?></td>
                            <td>
                                <?php echo $job['Job']['description']; ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Type'); ?></td>
                            <td>
                                <?php echo h($job['Job']['type']); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Is Remote'); ?></td>
                            <td>
                                <input type="checkbox" <?php echo ($job['Job']['is_remote'] == 1) ? 'checked' : ''; ?> />
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Is Featured'); ?></td>
                            <td>
                                <input type="checkbox" <?php echo ($job['Job']['is_featured'] == 1) ? 'checked' : ''; ?> />
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Enable Application Form'); ?></td>
                            <td>
                                <input type="checkbox" <?php echo ($job['Job']['is_applicant_form'] == 1) ? 'checked' : ''; ?> />
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Location'); ?></td>
                            <td>
                                <?php echo h($job['Job']['location']); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Country'); ?></td>
                            <td>
                                <?php echo h($job['Job']['country']); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Created'); ?></td>
                            <td>
                                <?php echo $this->Time->format($job['Job']['created'], '%B %e, %Y %H:%M %p'); ?>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __('Modified'); ?></td>
                            <td>
                                <?php echo $this->Time->format($job['Job']['modified'], '%B %e, %Y %H:%M %p'); ?>
                                &nbsp;
                            </td>
                        </tr>

                    </tbody>
                </table>
            </div>
            <div class="box-footer">
                <div class="btn-group"> 
                    <?php echo $this->Html->link(__('Edit Job'), array('action' => 'edit', $job['Job']['id']), array('class' => 'btn btn-default')); ?>
                    <?php echo $this->Form->postLink(__('Delete Job'), array('action' => 'delete', $job['Job']['id']), array('class' => 'btn btn-danger'), __('Are you sure you want to delete # %s?', $job['Job']['title'])); ?>
                    <?php echo $this->Html->link('Back to list', array('action' => 'index'), array('class' => 'btn btn-link')); ?>
                </div>
            </div>
        </div>
    </div>
</div>