<?php $this->assign('page_title', 'Edit a Job'); ?>

<h1>Edit a Job Posting</h1>
<?php
echo $this->Form->create('Job', array(
    'inputDefaults' => array(
        'div' => 'form-group',
        'wrapInput' => false,
        'class' => 'form-control'
    ),
));
?>
<div class="row">
    <div class="col-md-12">
        <?php
        echo $this->Form->input('id');
        ?>
        <?php
        echo $this->Form->input('title', array(
            'label' => 'Title',
            'placeholder' => 'Title',
        ));
        ?>
    </div>
    <div class="col-md-12">
        <?php
        echo $this->Form->input('is_remote', array(
            'label' => 'Remote / Home Office',
            'class' => false
        ));
        echo $this->Form->input('is_applicant_form', array(
            'label' => 'Enable Application Form',
            'class' => false
        ));
        ?>
    </div>
    <div id="panelLocation" <?php echo ($this->request->data['Job']['is_remote']) ? 'style="display: none"' : '' ?>>
        <div class="col-md-6">
            <?php
            echo $this->Form->input('country', array(
                'label' => 'Country',
                'placeholder' => 'Country',
            ));
            ?>
        </div>
        <div class="col-md-6">
            <?php
            echo $this->Form->input('location', array(
                'label' => 'Location',
                'placeholder' => 'Location',
            ));
            ?>
        </div>
    </div>
    <div class="col-md-12">
        <?php
        echo $this->Form->input('description', array(
            'label' => 'Description',
        ));
        ?>

        <div id="panelApplicantForm" <?php echo ($this->request->data['Job']['is_applicant_form']) ? 'style="display: none"' : '' ?>>
            <?php
            echo $this->Form->input('how_to_apply', array(
                'label' => 'How to Apply',
            ));
            ?>
        </div>

        <?php
        $types = array(
            'Full time' => 'Full time',
            'Contract time' => 'Contract time',
            'Part time' => 'Part time',
            'Freelance' => 'Freelance',
            'Intern' => 'Intern',
        );

        echo $this->Form->input('type', array(
            'label' => 'Type',
            'options' => $types,
            'style' => 'width: auto'
        ));
        ?>
    </div>
</div>
<?php
echo $this->Form->submit('Save', array(
    'div' => 'form-group',
    'class' => 'btn btn-primary'
));
?>
<?php echo $this->Form->end(); ?>

<?php echo $this->start('scriptBottom'); ?>

<?php echo $this->Html->script('ckeditor/ckeditor'); ?>

<script>
    $("#JobIsRemote").click(function () {
        $("#panelLocation").slideToggle("fast");
    });

    $("#JobIsApplicantForm").click(function () {
        $("#panelApplicantForm").slideToggle("fast");
    });


//    $(document).ready(function () {
    CKEDITOR.replace('JobDescription', {
        toolbarGroups: [
            {name: 'document', groups: ['mode', 'document', 'doctools']},
            {name: 'clipboard', groups: ['clipboard', 'undo']},
            {name: 'editing', groups: ['find', 'selection', 'spellchecker', 'editing']},
            {name: 'forms', groups: ['forms']},
            {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
            {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align', 'bidi', 'paragraph']},
            {name: 'links', groups: ['links']},
            {name: 'insert', groups: ['insert']},
            {name: 'styles', groups: ['styles']},
            {name: 'colors', groups: ['colors']},
            {name: 'tools', groups: ['tools']},
            {name: 'others', groups: ['others']},
            {name: 'about', groups: ['about']}
        ],
        removeButtons: 'Save,NewPage,Preview,Print,Templates,Cut,Copy,Paste,PasteText,PasteFromWord,Undo,Redo,Replace,Find,SelectAll,Scayt,Form,Radio,TextField,Textarea,Select,Button,ImageButton,HiddenField,Checkbox,Superscript,Subscript,Blockquote,CreateDiv,JustifyLeft,JustifyCenter,JustifyRight,JustifyBlock,Language,BidiRtl,BidiLtr,Anchor,Flash,HorizontalRule,Smiley,SpecialChar,PageBreak,Iframe,ShowBlocks',
        filebrowserBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=files',
        filebrowserImageBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=images',
        filebrowserFlashBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=flash',
        filebrowserUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=files',
        filebrowserImageUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=images',
        filebrowserFlashUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=flash',
        baseUrl: '<?php echo Router::url('/', true) ?>',
    });

    CKEDITOR.replace('JobHowToApply', {
        toolbarGroups: [
            {name: 'document', groups: ['mode', 'document', 'doctools']},
            {name: 'clipboard', groups: ['clipboard', 'undo']},
            {name: 'editing', groups: ['find', 'selection', 'spellchecker', 'editing']},
            {name: 'forms', groups: ['forms']},
            {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
            {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align', 'bidi', 'paragraph']},
            {name: 'links', groups: ['links']},
            {name: 'insert', groups: ['insert']},
            {name: 'styles', groups: ['styles']},
            {name: 'colors', groups: ['colors']},
            {name: 'tools', groups: ['tools']},
            {name: 'others', groups: ['others']},
            {name: 'about', groups: ['about']}
        ],
        removeButtons: 'Save,NewPage,Preview,Print,Templates,Cut,Copy,Paste,PasteText,PasteFromWord,Undo,Redo,Replace,Find,SelectAll,Scayt,Form,Radio,TextField,Textarea,Select,Button,ImageButton,HiddenField,Checkbox,Superscript,Subscript,Blockquote,CreateDiv,JustifyLeft,JustifyCenter,JustifyRight,JustifyBlock,Language,BidiRtl,BidiLtr,Anchor,Flash,HorizontalRule,Smiley,SpecialChar,PageBreak,Iframe,ShowBlocks',
        filebrowserBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=files',
        filebrowserImageBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=images',
        filebrowserFlashBrowseUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/browse.php?type=flash',
        filebrowserUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=files',
        filebrowserImageUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=images',
        filebrowserFlashUploadUrl: '<?php echo Router::url('/', true) ?>js/kcfinder/upload.php?type=flash',
        baseUrl: '<?php echo Router::url('/', true) ?>',
    });

    $.fn.modal.Constructor.prototype.enforceFocus = function () {
        $(document)
                .off('focusin.bs.modal') // guard against infinite focus loop
                .on('focusin.bs.modal', $.proxy(function (e) {
                    if (
                            this.$element[ 0 ] !== e.target && !this.$element.has(e.target).length
                            // CKEditor compatibility fix start.
                            && !$(e.target).closest('.cke_dialog, .cke').length
                            // CKEditor compatibility fix end.
                            ) {
                        this.$element.trigger('focus');
                    }
                }, this));
    };
//    };
</script>
<?php $this->end(); ?>