<h1>My Jobs Posting</h1>
<br />
<div class="btn-group">
    <?php echo $this->Html->link(__('Add New Job'), array('action' => 'add'), array('class' => 'btn btn-primary', 'icon' => 'plus white')); ?>        
</div>
<br />
<br />
<?php if (count($jobs) > 0) : ?>
    <?php echo $this->Form->create('Job', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>    
    <table class="table table-bordered table-hover table-striped">
        <thead>
            <tr>
                <th style="width: 50px; text-align: center"><input id="checkAll" type="checkbox" value="all"/></th>
                <th style="width: 150px"><?php echo $this->Paginator->sort('created', __('Date/Time')); ?></th>
                <th><?php echo $this->Paginator->sort('title'); ?></th>
                <th style="width: 130px" class="text-center"><?php echo $this->Paginator->sort('applicant_count', 'View Applicant(s)'); ?></th>
                <th class="actions" style="width: 80px"><?php echo __('Actions'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($jobs as $job): ?>
                <tr>
                    <td style="text-align: center"><input class="recordsToDelete" type="checkbox" name="DeleteCheck[]" value="<?php echo $job['Job']['id']; ?>"/></td>
                    <td><?php echo $this->Time->Format('d/m/Y h:ia', $job['Job']['created']); ?>&nbsp;</td>
                    <td>
                        <?php echo $this->Html->link($job['Job']['title'], array('action' => 'view', $job['Job']['slug'])); ?>
                    </td>
                    <td class="text-center">
                        <?php echo $this->Html->link('<button class="btn btn-primary btn-xs" type="button">Applicants <span class="badge">'.$job['Job']['applicant_count'].'</span></button>', array('controller' => 'applicants','action' => 'index', $job['Job']['id']), array('escape' => false)); ?>
                    </td>
                    <td class="actions">
                        <!--<div class="btn-group">-->
                            <?php echo $this->Html->link('<i class="fa fa-pencil"></i>', array('action' => 'edit', $job['Job']['id']), array('class' => 'btn btn-default btn-xs', 'escape' => false, 'data-toggle' => 'tooltip', 'data-placement' => 'top', 'title' => 'Edit')); ?>
                            <?php echo $this->Form->postLink('<i class="fa fa-trash"></i>', array('action' => 'delete', $job['Job']['id']), array('class' => 'btn btn-danger btn-xs', 'escape' => false, 'block' => 'formScript', 'data-toggle' => 'tooltip', 'data-placement' => 'top', 'title' => 'Delete'), __('Are you sure you want to delete # %s?', $job['Job']['title'])); ?>
                        <!--</div>-->
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="pull-left">
        <input name="data[btn]" id="btn" type="hidden" value="btnDelete" />
        <?php echo $this->Form->submit('Delete', array('class' => 'btn btn-danger btn-xs confirm')); ?>
    </div>
    <?php echo $this->Form->end(); ?>

    <div class="text-center" style="clear: both">
        <?php
        echo $this->Paginator->counter(array(
            'format' => __('Page {:page} of {:pages}, total records: {:count}.')
        ));
        ?>
        <?php $paging = $this->Paginator->params(); ?>
        <?php if ($paging['pageCount'] > 1) : ?>
            <?php
            echo $this->Paginator->pagination(array(
                'div' => 'pagination'
            ));
            ?>
        <?php endif; ?>
    </div>
<?php else : ?>
    <div style="text-align: center; font-weight: bold">
        No record(s) found.
    </div>
<?php endif ?>

<?php echo $this->fetch('formScript'); ?>

<?php $this->start('scriptBottom'); ?>
<script>
    $(document).ready(function () {
            $('[data-toggle="tooltip"]').tooltip();

//        $(".confirm").confirm({
//            text: "Are you sure you want to delete this?",
//            title: "Confirmation required",
//            confirm: function (button) {
//                $("#InventoryAdminDeleteForm").submit();
//            },
//            cancel: function (button) {
//                // do something
//            },
//            confirmButton: "Yes",
//            cancelButton: "No",
//            post: true
//        });

        $('#checkAll').on('click', function () {
            $('.recordsToDelete').prop("checked", this.checked);
        });

        $("#formBulkDelete").submit(function (e) {
            var self = this;
            e.preventDefault();

            var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;

            if (atLeastOneIsChecked) {
                bootbox.confirm("Are you sure?", function (result) {
                    if (result) {
                        self.submit();
                    }
                });
            } else {
                bootbox.alert('Please select at least one record to delete');
            }

            return false;
        });
    });
</script>
<?php $this->end(); ?>