<?php $this->assign('page_title', h($job['Job']['title'])); ?>

<?php $this->start('scriptTop'); ?>
<?php echo $this->Html->css("Summernote.summernote", null, array('inline' => false)); ?>
<?php $this->end(); ?> 

<div class="col-md-3">
    <?php
    if (!empty($job['User']['company_logo'])) {
        echo $this->Html->image(Router::url('/', true) . 'files/user/company_logo/' . $job['User']['company_logo_dir'] . '/thumb_' . $job['User']['company_logo']);
    }
    ?>
    <h4><?php echo $job['User']['company_name'] ?></h4>
    <hr>
    <h4>Job Details</h4>
    <i class='fa fa-rocket'></i> <?php echo $job['Job']['type'] ?>
    <br />
    <i class='fa fa-map-marker'></i> <?php echo h($job['Job']['country']) ?>, <?php echo h($job['Job']['location']) ?>
    <br /><br/>
    <?php if (!empty($system_settings['ads_left'])) : ?>
        <hr />
        <center>
            <?php echo $system_settings['ads_left']; ?>
        </center>
    <?php endif; ?>
    <?php if ($job['Job']['user_id'] == AuthComponent::user('id')) : ?>
        <div class="btn-group text-center">
            <?php echo $this->Html->link(__('Edit'), array('action' => 'edit', $job['Job']['id']), array('class' => 'btn btn-default btn-xs')) ?>
            <?php echo $this->Form->postLink(__('Delete'), array('action' => 'delete', $job['Job']['id']), array('class' => 'btn btn-danger btn-xs'), 'Are you sure?') ?>
        </div>
        <br />
        <br />
        <?php echo $this->Html->link(__('Back to my job(s) list'), array('action' => 'index'), array('class' => 'btn btn-link btn-xs')) ?>
    <?php endif; ?>
</div>
<div class="col-md-9">
    <h1><?php echo h($job['Job']['title']) ?></h1>
    <br />
    <?php echo $job['Job']['description'] ?>
    <br />
    <?php if ($job['Job']['is_applicant_form']) : ?>
        <a class="btn btn-primary btn-lg" href="<?php echo Router::url('/') ?>applicants/add?job_id=<?php echo $job['Job']['id'] ?>" data-toggle="mainmodal">Apply Now</a>
    <?php else : ?>
        <h2>How to Apply</h2>
        <?php echo $job['Job']['how_to_apply'] ?>
    <?php endif; ?>
    <br /><br />
</div>

<?php $this->start('scriptBottom'); ?>
<!-- Cake Ajax Form -->
<script src="<?php echo Router::url('/') ?>js/jquery.form.js"></script>
<script src="<?php echo Router::url('/') ?>js/jquery.cake.form.js"></script>

<!-- Summer note -->
<?php echo $this->Html->script("Summernote.summernote.min", array('inline' => false)); ?>

<!-- NProgress -->
<?php echo $this->Html->script('nprogress'); ?>

<!-- Modal -->
<div class="modal fade" id="mainModal" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="mainModalLabel" aria-hidden="true"></div>

<script>
    initAjaxModal();

    function initAjaxModal() {
        $('[data-toggle="mainmodal"]').bind('click', function (e) {
            e.preventDefault();
            NProgress.start();
            var url = $(this).attr('href');
            $.get(url, function (data) {
                $('#mainModal').modal();
                $('#mainModal').html(data);
            }).success(function () {
                NProgress.done();
            }).fail(function (data) {
                $('#redirect').html(data.responseText);
            });
        });
    }
</script>

<?php $this->end(); ?> 