<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="<?php echo $system_settings['website_description'] ?>">
        <meta name="keywords" content="<?php echo $system_settings['website_keywords'] ?>">
        <meta name="author" content="">

        <?php echo $this->element('common_title_seo'); ?>

        <!-- Bootstrap core CSS -->
        <!-- Custom styles for this template -->
        <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
        <?php if ($system_settings['theme'] == 'Default') : ?>
            <link href="<?php echo Router::url('/', true) ?>bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
        <?php else : ?>
            <link href="<?php echo Router::url('/', true) ?>bootstrap/css/bootstrap-<?php echo strtolower($system_settings['theme']) ?>.min.css" rel="stylesheet" type="text/css">
        <?php endif; ?>

        <link href="<?php echo Router::url('/', true) ?>css/website.css" rel="stylesheet" type="text/css">

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">

        <?php echo $this->fetch('css'); ?>
        <?php echo $this->fetch('scriptTop'); ?>

        <?php if (!empty($system_settings['banner'])) : ?>
            <style>
                .cover {
                    background-image: url(<?php echo Router::Url('/', true) ?>files/system_setting/banner/<?php echo $system_settings['banner_dir'] ?>/<?php echo $system_settings['banner'] ?>);
                }
            </style>
        <?php endif; ?>
    </head>
    <body>
        <?php echo $this->element('website_top_nav'); ?>

        <div class="jumbotron cover">
            <div class="container" style="margin-top: 180px">
                <h1><?php echo $system_settings['website_title'] ?></h1>
                <p><?php echo $system_settings['website_description'] ?></p>
            </div>             
        </div>

        <div class="container" style="margin-top: 20px">
            <div class="row">
                <div class="col-md-9">
                    <?php echo $this->Session->flash(); ?>

                    <?php if (!empty($system_settings['ads_top'])) : ?>
                        <center>
                            <?php echo $system_settings['ads_top']; ?>
                        </center>
                        <br />
                    <?php endif; ?>

                    <?php echo $this->fetch('content'); ?>
                </div>
                <div class="col-md-3">
                    <?php echo $this->element('website_right_nav'); ?>
                </div>
            </div>
        </div>

        <?php echo $this->element('website_footer'); ?>

        <!-- /.container -->
        <!-- Bootstrap core JavaScript
    ================================================== -->
        <!-- Placed at the end of the document so the pages load faster -->
        <script src="<?php echo Router::url('/', true) ?>plugins/jQuery/jQuery-2.1.4.min.js"></script>
        <script src="<?php echo Router::url('/', true) ?>bootstrap/js/bootstrap.min.js"></script>
        <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
        <script src="<?php echo Router::url('/', true) ?>js/ie10-viewport-bug-workaround.js"></script>

        <?php echo $this->fetch('scriptBottom'); ?>
    </body>
</html>

