<?php echo $this->assign('title', 'Payments'); ?>
<?php // $this->assign('subtitle', 'List');                                                                ?>

<?php echo $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?php echo Router::url('/') ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Payments</li>
</ol>
<?php echo $this->end(); ?>

<?php echo $this->start('scriptTop'); ?>
<!-- Datatable -->
<link href="<?php echo Router::url('/') ?>plugins/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<link href="<?php echo Router::url('/') ?>plugins/datatables/extensions/Responsive/css/dataTables.responsive.css" rel="stylesheet" type="text/css" />
<link href="<?php echo Router::url('/') ?>plugins/datatables/extensions/TableTools/css/dataTables.tableTools.css" rel="stylesheet" type="text/css" />

<?php echo $this->Html->css('wep-app-datatable'); ?>

<?php echo $this->Html->css('reponsive-table'); ?>

<?php echo $this->end(); ?>

<div class="row">
    <div class="col-xs-12">
        <div class="box box-primary">
            <div class="box-header">
                <h3 class="box-title">Payments List</h3>

                <div class="pull-right">
                    <?php
                    if (isset($this->request->query['payment_datetime']) || isset($this->request->query['term'])) {
                        echo $this->Html->link('Clear search', array('action' => 'index'), array('class' => 'btn btn-link', 'div' => 'false'));
                    }
                    ?>
                    <a id="btnPaymentAdd" class="btn btn-primary" href="<?php echo Router::url('/') ?>admin/payments/add" data-toggle="mainmodal"><i class="fa fa-plus"></i> Add New Payment</a>
                    <button id="btnPaymentPrintHtml" type="button" class="btn btn-default"><i class="fa fa-print"></i></button>
                    <a class="btn btn-default" href="<?php echo Router::url('/') ?>admin/payments/search" data-toggle="mainmodal"><i class="fa fa-search"></i></a>
                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                        <i class="fa fa-share-square-o"></i> Export <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="<?php echo Router::url('/') ?>admin/payments/export.csv">CSV</a></li>
                        <!--<li><a href="">Excel</a></li>-->
                        <li><a target="_blank" href="<?php echo Router::url('/') ?>admin/payments/print.pdf">PDF</a></li>
                    </ul>
                </div>

            </div><!-- /.box-header -->
            <div class="box-body">
                <?php echo $this->Form->create('Payment', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>
                <div id="no-more-tables">
                    <table id="tablePayments" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th class="text-center" style="width: 20px; padding: 8px"><input id="checkAll" type="checkbox" value="all"/></th>
                                <th>Datetime</th>
                                <th>User</th>
                                <th>Amount</th>
                                <th>Status</th>
                                <th style="width: 100px" class="center hidden-print">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td>
                                    <?php echo $this->Form->submit('Delete', array('class' => 'btn btn-danger', 'div' => false)) ?>
                                    <?php // echo $this->Form->button('<i class="fa fa-trash-o"></i> Delete', array('type' => 'submit', 'escape' => false, 'class' => 'btn btn-xs btn-danger', 'div' => false)) ?>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <?php echo $this->Form->end() ?>
            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="mainModal" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="mainModalLabel" aria-hidden="true"></div>

<!--- Delete Modal Form -->
<div class="modal fade" id="modalDeletePayment" tabindex="-1" role="dialog" aria-labelledby="modalDeletePayment">    
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title">Delete payment</h4>
            </div>
            <div class="modal-body">
                <p><?php echo __('Are you sure you want to delete this payment, ') ?> <span class="label-name text-bold"></span> ?</p>
            </div>
            <div class="modal-footer">
                <a class="btn" data-dismiss="modal">Cancel</a>
                <form style="display: inline-block" id="formDeletePayment" method="post" action="<?php echo Router::url('/', true) ?>admin/payments/delete">
                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

<?php echo $this->start('scriptBottom'); ?>
<!-- Cake Ajax Form -->
<script src="<?php echo Router::url('/') ?>js/jquery.form.js"></script>
<script src="<?php echo Router::url('/') ?>js/jquery.cake.form.js"></script>

<script type="text/javascript">

                        function fnRowSelected(row)
                        {
                            var s = $(row).is(':checked');
                            if (s == true) {
                                $(row).closest('tr').addClass('selected');
                            } else {
                                $(row).closest('tr').removeClass('selected');
                            }
                        }

                        $(document).ready(function () {

                            $('#checkAll').on('click', function () {
                                $('.recordsToDelete').prop("checked", this.checked);
                                if (this.checked) {
                                    $('.recordsToDelete').closest('tr').addClass('selected');
                                } else {
                                    $('.recordsToDelete').closest('tr').removeClass('selected');
                                }
                            });
                            $("#formBulkDelete").submit(function (e) {
                                var self = this;
                                e.preventDefault();
                                var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;
                                if (atLeastOneIsChecked) {
                                    bootbox.confirm("Are you sure?", function (result) {
                                        if (result) {
                                            self.submit();
                                        }
                                    });
                                } else {
                                    bootbox.alert('Please select at least one record to delete');
                                }

                                return false;
                            });
                            $('#tablePayments').DataTable({
                                "ajax": "<?php echo Router::url('/') ?>admin/payments/load_data.json?<?php echo $_SERVER['QUERY_STRING'] ?>",
                                            "columns": [
                                                {data: null, defaultContent: '', orderable: false},
                                                {"data": "Payment.payment_datetime"},
                                                {"data": "User.name"},
                                                {"data": "Payment.amount"},
                                                {"data": "Payment.status"},
                                                {"data": null, bSortable: false, bSearchable: false}
                                            ],
                                            order: [1, 'desc'],
                                            deferRender: true,
                                            "createdRow": function (row, data, index) {
                                                $('td:eq(0)', row).attr('data-title', '');
                                                $('td:eq(1)', row).attr('data-title', 'Datetime');
                                                $('td:eq(2)', row).attr('data-title', 'User');
                                                $('td:eq(3)', row).attr('data-title', 'Amount');
                                                $('td:eq(4)', row).attr('data-title', 'Status');

                                                $('td:eq(5)', row).attr('data-title', 'Action');

                                                // delete checkbox
                                                var checkbox = '';
                                                checkbox += '<input type="checkbox" name="DeleteCheck[]" value="' + data.Payment.id + '" class="recordsToDelete" onclick="javascript:fnRowSelected(this);"></input>';
                                                $('td:eq(0)', row).html(checkbox);
                                                $('td:eq(0)', row).addClass('text-center');
                                                // view link
                                                var viewLink = '';
                                                viewLink += '<a href="<?php echo Router::url('/') ?>admin/payments/view/' + data.Payment.id + '" data-toggle="mainmodal">' + data.Payment.payment_datetime + '</a>';
                                                $('td:eq(1)', row).html(viewLink);
                                                // edit and delete button
                                                var buttons = '';
                                                buttons += '<div class="btn-group" role="group" aria-label="..."><a class="btn btn-link btn-xs" href="<?php echo Router::url('/') ?>admin/payments/edit/' + data.Payment.id + '" data-toggle="mainmodal"><i class="fa fa-pencil-square-o"></i> Edit</a>';
                                                buttons += '<button type="button" class="btn btn-link btn-xs" data-toggle="modal" data-target="#modalDeletePayment" data-url="<?php echo Router::url('/') ?>admin/payments/delete/' + data.Payment.id + '" data-name="' + data.User.name + '"><i class="fa fa-trash-o"></i> Delete</button></div> ';
                                                $('td:eq(5)', row).html(buttons);
                                                $('td:eq(5)', row).addClass('center hidden-print');
                                            }
                                        });
                                        $("#btnPaymentPrintHtml").printPage({
                                            url: "<?php echo Router::url('/', true) ?>admin/payments/print",
                                            attr: "href",
                                            message: "Your document is being created"
                                        });
                                        $('#modalDeletePayment').on('show.bs.modal', function (event) {
                                            var button = $(event.relatedTarget);
                                            var url = button.data('url');
                                            var name = button.data('name');
                                            var modal = $(this);
                                            modal.find('form').attr('action', url);
                                            modal.find('.label-name').html(name);
                                        });
                                        $('#tablePayments').on('draw.dt', function () {
                                            initAjaxModal();
                                        });
                                        initAjaxModal();
                                    });
                                    function initAjaxModal() {
                                        $('[data-toggle="mainmodal"]').bind('click', function (e) {
                                            e.preventDefault();
                                            NProgress.start();
                                            var url = $(this).attr('href');
                                            $.get(url, function (data) {
                                                $('#mainModal').modal();
                                                $('#mainModal').html(data);
                                            }).success(function () {
                                                NProgress.done();
                                            }).fail(function (data) {
                                                $('#redirect').html(data.responseText);
                                            });
                                        });
                                    }


</script>
<?php echo $this->end(); ?>