<?php $this->assign('title', 'Dashboard'); ?>
<?php $this->assign('subtitle', 'Control panel'); ?>

<?php $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Dashboard</li>
</ol>
<?php $this->end(); ?>

<!-- Info boxes -->
<div class="row">

    <div class="col-lg-3 col-md-6 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-purple">
            <div class="inner">
                <h3><?php echo $count_jobs ?></h3>
                <p>Jobs</p>
            </div>
            <div class="icon">
                <i class="fa fa-list"></i>
            </div>
            <a href="<?php echo Router::url('/', true) ?>admin/jobs" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->
    
        <div class="col-lg-3 col-md-6 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-blue">
            <div class="inner">
                <h3><?php echo $count_applicants ?></h3>
                <p>Applicants</p>
            </div>
            <div class="icon">
                <i class="fa fa-people"></i>
            </div>
            <a href="<?php echo Router::url('/', true) ?>admin/applicants" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->

    <div class="col-lg-3 col-md-6 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-yellow">
            <div class="inner">
                <h3><?php echo $count_users ?></h3>
                <p>Users</p>
            </div>
            <div class="icon">
                <i class="ion ion-ios-people"></i>
            </div>
            <a href="<?php echo Router::url('/', true) ?>admin/users" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->

    <div class="col-lg-3 col-md-6 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-green">
            <div class="inner">
                <h3><?php echo $this->Number->currency($total_paid, 'USD') ?></h3>
                <p>Paid</p>
            </div>
            <div class="icon">
                <i class="fa fa-money"></i>
            </div>
            <a href="<?php echo Router::url('/', true) ?>admin/payments" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->
</div>

<div class="row">
    <div class="col-lg-12 col-md-12 col-xs-12">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">Monthly Report: Payment Paid</h3>
            </div>
            <div class="box-body">
                <p class="text-center">
                    <strong><?php echo $start_month.' - '.$end_month ?></strong>
                </p>
                <div class="chart">
                    <canvas id="chartPayments" width="400" height="400"></canvas>
                </div>
            </div>

        </div>
    </div>
</div>


<?php echo $this->start('scriptBottom'); ?>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<?php // echo $this->Html->script('pages/dashboard2'); ?>

<!-- AdminLTE for demo purposes -->
<?php // echo $this->Html->script('demo'); ?>

<script>

    // Get context with jQuery - using jQuery's .get() method.
    var salesChartCanvas = $("#chartPayments").get(0).getContext("2d");
    // This will get the first returned node in the jQuery collection.
    var salesChart = new Chart(salesChartCanvas);

    var salesChartData = {
        labels: [<?php echo $monthly_report['label'] ?>],
        datasets: [{
                label: "Digital Goods",
                fillColor: "rgba(60,141,188,0.9)",
                strokeColor: "rgba(60,141,188,0.8)",
                pointColor: "#3b8bba",
                pointStrokeColor: "rgba(60,141,188,1)",
                pointHighlightFill: "#fff",
                pointHighlightStroke: "rgba(60,141,188,1)",
                data: [<?php echo $monthly_report['data'] ?>]
            }]
    };

    var salesChartOptions = {
        //Boolean - If we should show the scale at all
        showScale: true,
        //Boolean - Whether grid lines are shown across the chart
        scaleShowGridLines: true,
        //String - Colour of the grid lines
        scaleGridLineColor: "rgba(0,0,0,.05)",
        //Number - Width of the grid lines
        scaleGridLineWidth: 1,
        //Boolean - Whether to show horizontal lines (except X axis)
        scaleShowHorizontalLines: true,
        //Boolean - Whether to show vertical lines (except Y axis)
        scaleShowVerticalLines: true,
        //Boolean - Whether the line is curved between points
        bezierCurve: false,
        //Number - Tension of the bezier curve between points
        bezierCurveTension: 0.3,
        //Boolean - Whether to show a dot for each point
        pointDot: true,
        //Number - Radius of each point dot in pixels
        pointDotRadius: 4,
        //Number - Pixel width of point dot stroke
        pointDotStrokeWidth: 1,
        //Number - amount extra to add to the radius to cater for hit detection outside the drawn point
        pointHitDetectionRadius: 20,
        //Boolean - Whether to show a stroke for datasets
        datasetStroke: true,
        //Number - Pixel width of dataset stroke
        datasetStrokeWidth: 2,
        //Boolean - Whether to fill the dataset with a color
        datasetFill: true,
        //String - A legend template
        legendTemplate: "",
        //Boolean - whether to maintain the starting aspect ratio or not when responsive, if set to false, will take up entire container
        maintainAspectRatio: false,
        //Boolean - whether to make the chart responsive to window resizing
        responsive: true,
        scaleBeginAtZero: true,
    };

    //Create the line chart
    salesChart.Line(salesChartData, salesChartOptions);
</script>
<?php echo $this->end(); ?>