<?php $this->assign('title', 'Users'); ?>
<?php // $this->assign('subtitle', 'List');                                                                     ?>

<?php $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?= Router::url('/') ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Users</li>
</ol>
<?php $this->end(); ?>

<?php echo $this->start('scriptTop'); ?>
<!-- Datatable -->
<link href="<?= Router::url('/') ?>plugins/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<link href="<?= Router::url('/') ?>plugins/datatables/extensions/Responsive/css/dataTables.responsive.css" rel="stylesheet" type="text/css" />
<link href="<?= Router::url('/') ?>plugins/datatables/extensions/TableTools/css/dataTables.tableTools.css" rel="stylesheet" type="text/css" />

<?php echo $this->Html->css('wep-app-datatable'); ?>

<?php echo $this->Html->css('reponsive-table'); ?>

<?php echo $this->end(); ?>

<div class="row">
    <div class="col-xs-12">
        <div class="box box-primary">
            <div class="box-header">
                <h3 class="box-title">Users List</h3>

                <div class="pull-right">
                    <?php
                    if (isset($this->request->query['username']) || isset($this->request->query['term'])) {
                        echo $this->Html->link('Clear search', array('action' => 'index'), array('class' => 'btn btn-link', 'div' => 'false'));
                    }
                    ?>
                    <a id="btnUserAdd" class="btn btn-primary" href="<?= Router::url('/') ?>admin/users/add" data-toggle="mainmodal"><i class="fa fa-plus"></i> Add New User</a>
                    <button id="btnUserPrintHtml" type="button" class="btn btn-default"><i class="fa fa-print"></i></button>
                    <a class="btn btn-default" href="<?= Router::url('/') ?>admin/users/search" data-toggle="mainmodal"><i class="fa fa-search"></i></a>
                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                        <i class="fa fa-share-square-o"></i> Export <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="<?= Router::url('/') ?>admin/users/export.csv">CSV</a></li>
                        <!--<li><a href="">Excel</a></li>-->
                        <li><a target="_blank" href="<?= Router::url('/') ?>admin/users/print.pdf">PDF</a></li>
                    </ul>
                </div>

            </div><!-- /.box-header -->
            <div class="box-body">
                <?= $this->Form->create('User', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>
                <div id="no-more-tables">
                    <table id="tableUsers" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th class="text-center" style="width: 20px; padding: 8px"><input id="checkAll" type="checkbox" value="all"/></th>
                                <th style="width: 40px">#</th>
                                <!--<th>Username</th>-->
                                <th>Name</th>
                                <th>Email</th>
                                <th>Company</th>
                                <th style="width: 100px" class="center hidden-print">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td>
                                    <?= $this->Form->submit('Delete', array('class' => 'btn btn-danger', 'div' => false)) ?>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <?= $this->Form->end() ?>
            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="mainModal" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="mainModalLabel" aria-hidden="true"></div>

<!--- Delete Modal Form -->
<div class="modal fade" id="modalDeleteUser" tabindex="-1" role="dialog" aria-labelledby="modalDeleteUser">    
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title">Delete user</h4>
            </div>
            <div class="modal-body">
                <p><?php echo __('Are you sure you want to delete this user, ') ?> <span class="label-name text-bold"></span> ?</p>
            </div>
            <div class="modal-footer">
                <a class="btn" data-dismiss="modal">Cancel</a>
                <form style="display: inline-block" id="formDeleteUser" method="post" action="<?= Router::url('/', true) ?>admin/users/delete">
                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

<?php echo $this->start('scriptBottom'); ?>
<!-- Cake Ajax Form -->
<script src="<?= Router::url('/') ?>js/jquery.form.js"></script>
<script src="<?= Router::url('/') ?>js/jquery.cake.form.js"></script>

<script type="text/javascript">

    function fnRowSelected(row)
    {
        var s = $(row).is(':checked');
        if (s == true) {
            $(row).closest('tr').addClass('selected');
        } else {
            $(row).closest('tr').removeClass('selected');
        }
    }

    $(document).ready(function () {

        $('#checkAll').on('click', function () {
            $('.recordsToDelete').prop("checked", this.checked);

            if (this.checked) {
                $('.recordsToDelete').closest('tr').addClass('selected');
            } else {
                $('.recordsToDelete').closest('tr').removeClass('selected');
            }
        });

        $("#formBulkDelete").submit(function (e) {
            var self = this;
            e.preventDefault();

            var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;

            if (atLeastOneIsChecked) {
                bootbox.confirm("Are you sure?", function (result) {
                    if (result) {
                        self.submit();
                    }
                });
            } else {
                bootbox.alert('Please select at least one record to delete');
            }

            return false;
        });

        $('#tableUsers').DataTable({
            "ajax": "<?= Router::url('/') ?>admin/users/load_data.json?<?= $_SERVER['QUERY_STRING'] ?>",
                        "columns": [
                            {data: null, defaultContent: '', orderable: false},
                            {"data": "User.id"},
                            {"data": "User.name"},
                            {"data": "User.email"},
                            {"data": "User.company_name"},
                            {"data": null, bSortable: false, bSearchable: false}
                        ],
                        order: [2, 'asc'],
                        deferRender: true,
                        "createdRow": function (row, data, index) {
                            $('td:eq(0)', row).attr('data-title', '');
                            $('td:eq(1)', row).attr('data-title', 'Id');
                            $('td:eq(2)', row).attr('data-title', 'Name');
                            $('td:eq(3)', row).attr('data-title', 'Email');
                            $('td:eq(4)', row).attr('data-title', 'Company');
                            $('td:eq(5)', row).attr('data-title', 'Action');

                            // delete checkbox
                            var checkbox = '';
                            checkbox += '<input type="checkbox" name="DeleteCheck[]" value="' + data.User.id + '" class="recordsToDelete" onclick="javascript:fnRowSelected(this);"></input>';
                            $('td:eq(0)', row).html(checkbox);
                            $('td:eq(0)', row).addClass('text-center');

                            // view link
                            var viewLink = '';
                            viewLink += '<a href="<?= Router::url('/') ?>admin/users/view/' + data.User.id + '" data-toggle="mainmodal">' + data.User.name + '</a>';

                            if (data.User.is_subscribed == '1') {
                                viewLink += ' <span class="label label-info">Subscribed</span>';
                            }

                            if (data.User.is_admin == '1') {
                                viewLink += ' <span class="label label-info">Admin</span>';
                            }

                            $('td:eq(2)', row).html(viewLink);

                            // edit and delete button
                            var buttons = '';
                            buttons += '<div class="btn-group" role="group" aria-label="..."><a class="btn btn-link btn-xs" href="<?= Router::url('/') ?>admin/users/edit/' + data.User.id + '" data-toggle="mainmodal"><i class="fa fa-pencil-square-o"></i> Edit</a>';
                            buttons += '<button type="button" class="btn btn-link btn-xs" data-toggle="modal" data-target="#modalDeleteUser" data-url="<?= Router::url('/') ?>admin/users/delete/' + data.User.id + '" data-name="' + data.User.name + '"><i class="fa fa-trash-o"></i> Delete</button></div> ';

                            $('td:eq(5)', row).html(buttons);
                            $('td:eq(5)', row).addClass('center hidden-print');
                        }

                    });

                    $("#btnUserPrintHtml").printPage({
                        url: "<?= Router::url('/', true) ?>admin/users/print",
                        attr: "href",
                        message: "Your document is being created"
                    });

                    $('#modalDeleteUser').on('show.bs.modal', function (event) {
                        var button = $(event.relatedTarget);
                        var url = button.data('url');
                        var name = button.data('name');
                        var modal = $(this);
                        modal.find('form').attr('action', url);
                        modal.find('.label-name').html(name);
                    });

                    $('#tableUsers').on('draw.dt', function () {
                        initAjaxModal();
                    });

                    initAjaxModal();
                });

                function initAjaxModal() {
                    $('[data-toggle="mainmodal"]').bind('click', function (e) {
                        e.preventDefault();
                        NProgress.start();

                        var url = $(this).attr('href');

                        if (url.indexOf('#') === 0) {
                            $('#mainModal').modal('open');
                        } else {
                            $.get(url, function (data) {
                                $('#mainModal').modal();
                                $('#mainModal').html(data);


                            }).success(function () {
                                NProgress.done();
                            });
                        }
                    });
                }


</script>
<?php echo $this->end(); ?>