<?php $this->assign('title', 'Users'); ?>
<?php // $this->assign('subtitle', 'List');                                                             ?>

<?php $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?= Router::url('/') ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Users</li>
</ol>
<?php $this->end(); ?>

<?php echo $this->start('scriptTop'); ?>
<?php echo $this->Html->css('reponsive-table'); ?>
<?php echo $this->end(); ?>

<div class="row">
    <div class="col-xs-12">
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">Users List</h3>
            </div><!-- /.box-header -->
            <div class="box-body">
                <div class="row hidden-print">
                    <div class="col-lg-8">
                        <button type="button" class="btn btn-primary" onclick="window.location.href = '<?= Router::url('/') ?>admin/users/add'">Add New Record</button>

                        <div class="btn-group" role="group" aria-label="...">
                            <button id="btnPrintHtml" type="button" class="btn btn-default">Print</button>
                            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                Export <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu" role="menu">
                                <li><a href="<?= Router::url('/') ?>admin/users/export.csv">CSV</a></li>
                                <!--<li><a href="">Excel</a></li>-->
                                <li><a href="<?= Router::url('/') ?>admin/users/print.pdf">PDF</a></li>
                            </ul>
                        </div>

                        <div style="display: inline-block; margin-left: 20px">
                            Show 
<!--                            <select id="filterLimit" class="input-sm">
                                <option>10</option>
                                <option>25</option>
                                <option>50</option>
                                <option>100</option>
                            </select>-->
                            <?php
                            $options = array(
                                '10' => '10',
                                '25' => '25',
                                '50' => '50',
                                '100' => '100',
                            );
                            echo $this->Form->select('filterLimit', $options, array(
                                'empty' => false,
                                'class' => 'input-sm',
                                'default' => $this->request->query('limit'),
                            ))
                            ?>
                            entries
                        </div>

                    </div>
                    <div class="col-lg-4">
                        <!--							<button type="button" class="btn btn-default">Advanced Search</button>-->

                        <?= $this->Form->create(null, array('type' => 'get')) ?>
                        <div class="input-group custom-search-form">
                            <input type="text" name="term" class="form-control" placeholder="Search..." value="<?= isset($this->request->query['term']) ? $this->request->query['term'] : '' ?>">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                                <button class="btn btn-default" type="button" onclick="window.location.href = '<?= Router::url('/') ?>admin/users/search'">
                                    Advanced
                                </button>
                            </span>
                        </div>
                        <?= $this->Form->end() ?>
                    </div>
                </div>

                <div class="row" style="margin-top: 15px">
                    <div class="col-lg-12">

                        <?php if (count($users) > 0) : ?>

                            <?= $this->Form->create('User', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>
                            <div id="no-more-tables">

                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th style="width: 50px"><input id="checkAll" type="checkbox" value="all"/></th>
                                            <th style="width: 50px"><?= $this->Paginator->sort('id', '#') ?></th>
                                            <th><?= $this->Paginator->sort('name') ?></th>
                                            <th><?= $this->Paginator->sort('username') ?></th>
                                            <th><?= $this->Paginator->sort('email') ?></th>
                                            <th style="width: 130px" class="hidden-print">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($users as $user) : ?>
                                            <tr>
                                                <td data-title="Delete">
                                                    <!--<input class="recordsToDelete" name="bulkDelete[]" type="checkbox" value="<?= $user['User']['id'] ?>"/>-->
                                                    <?php
                                                    echo $this->Form->checkbox('User.' . $user['User']['id'], array(
                                                        'value' => $user['User']['id'],
                                                        'hiddenField' => false,
                                                        'class' => 'recordsToDelete',
//                                                    'id' => 'UserBulkDelete[]',
                                                        'name' => 'DeleteCheck[]'
                                                    ));
                                                    ?>
                                                </td>
                                                <td data-title="#"><?= $user['User']['id'] ?></td>
                                                <td data-title="Name">
                                                    <?= $this->Html->link($user['User']['name'], array('action' => 'view', $user['User']['id']), array('class' => 'text-link')) ?>
                                                    <!--<a class="text-link" href="viewrecord.php"><?= $user['User']['name'] ?></a>-->
                                                </td>
                                                <td data-title="Username"><?= $user['User']['username'] ?></td>
                                                <td data-title="Email"><?= $user['User']['email'] ?></td>
                                                <td data-title="Action" class="hidden-print">
                                                    <div class="btn-group" role="group" aria-label="...">
                                                        <?= $this->Html->link('<i class="fa fa-pencil-square-o"></i> ' . __('Edit'), array('action' => 'edit', $user['User']['id']), array('class' => 'btn btn-xs btn-link', 'escape' => false)) ?>
                                                        <?= $this->CustomForm->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), array('action' => 'delete', $user['User']['id']), array('class' => 'btn btn-xs btn-link', 'escape' => false), 'Are you sure?') ?>
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>

                            <nav class="pull-right">
                                <?php
                                echo $this->Paginator->pagination(array(
                                    'ul' => 'pagination'
                                ));
                                ?>
                            </nav>

                            <div>
                                <div style="margin-bottom: 10px">
                                    <?= $this->Form->submit('Delete', array('class' => 'btn btn-danger', 'div' => false)) ?>
                                    <?php
                                    if (isset($this->request->query['username']) || isset($this->request->query['term'])) {
                                        echo $this->Html->link('Clear search', array('action' => 'index'), array('class' => 'btn btn-link', 'div' => 'false'));
                                    }
                                    ?>
                                </div>
                                <!--Showing 1 to 10 of 100 entries-->
                                <?php
                                echo $this->Paginator->counter(
                                        'Showing {:start} to {:end} of {:count} entries'
                                );
                                ?>
                            </div>

                            <?= $this->Form->end() ?>

                            <?= $this->fetch('postLink') ?>

                        <?php else : ?>
                            <p class="text-center">No record(s) found. <?= $this->Html->link(__('Click here to add a new record.'), array('action' => 'add')); ?> 
                                <?php
                                if (isset($this->request->query['name']) || isset($this->request->query['term'])) {
                                    echo $this->Html->link('Or Click here  to clear search.', array('action' => 'index'), array('div' => 'false'));
                                }
                                ?></p>
                        <?php endif; ?>

                    </div>
                </div>
            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div>
</div>

<?php echo $this->start('scriptBottom'); ?>
<script>
    $(document).ready(function () {
        $('#checkAll').on('click', function () {
            $('.recordsToDelete').prop("checked", this.checked);
        });

        $("#formBulkDelete").submit(function (e) {
            var self = this;
            e.preventDefault();

            var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;

            if (atLeastOneIsChecked) {
                bootbox.confirm("Are you sure?", function (result) {
                    if (result) {
                        self.submit();
                    }
                });
            } else {
                bootbox.alert('Please select at least one record to delete');
            }

            return false;
        });
        
        $('#filterLimit').change(function () {
            window.location = '<?= Router::url('/', true) ?>admin/users/index?limit=' + $(this).val();
        });

        $("#btnPrintHtml").printPage({
            url: "<?= Router::url('/', true) ?>admin/users/print",
            attr: "href",
            message: "Your document is being created"
        });
    });
</script>
<?php echo $this->end(); ?>