
<?php echo $this->assign('title', '{pluralHumanName}'); ?>
<?php // $this->assign('subtitle', 'List');      ?>

<?php echo $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?php echo Router::url('/') ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">{pluralHumanName}</li>
</ol>
<?php echo $this->end(); ?>

<?php echo $this->start('scriptTop'); ?>
<?php echo $this->Html->css('reponsive-table'); ?>
<?php echo $this->end(); ?>

<div class="row">
    <div class="col-xs-12">
        <div class="box box-primary">
            <div class="box-header">
                <h3 class="box-title"><?php echo __('{pluralHumanName}'); ?> List</h3>
            </div><!-- /.box-header -->
            <div class="box-body">
                <div class="row hidden-print">
                    <div class="col-lg-8">
                        <button type="button" class="btn btn-primary" onclick="window.location.href = '<?php echo Router::url('/') ?>admin/{pluralName}/add'">Add New Record</button>

                        <div class="btn-group" role="group" aria-label="...">
                            <button id="btnPrintHtml" type="button" class="btn btn-default">Print</button>
                            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                Export <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu" role="menu">
                                <li><a href="<?php echo Router::url('/') ?>admin/{pluralName}/export.csv">CSV</a></li>
                                <!--<li><a href="">Excel</a></li>-->
                                <li><a target="_blank" href="<?php echo Router::url('/') ?>admin/{pluralName}/print.pdf">PDF</a></li>
                            </ul>
                        </div>

                        <div style="display: inline-block; margin-left: 20px">
                            Show 
                            <?php
                            $options = array(
                                '10' => '10',
                                '25' => '25',
                                '50' => '50',
                                '100' => '100',
                            );
                            echo $this->Form->select('filterLimit', $options, array(
                                'empty' => false,
                                'class' => 'input-sm',
                                'default' => $this->request->query('limit'),
                            ))
                            ?>
                            entries
                        </div>

                    </div>
                    <div class="col-lg-4">
                        <?php echo $this->Form->create(null, array('type' => 'get')) ?>
                        <div class="input-group custom-search-form">
                            <input type="text" name="term" class="form-control" placeholder="Search..." value="<?php echo isset($this->request->query['term']) ? $this->request->query['term'] : '' ?>">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                                <button class="btn btn-default" type="button" onclick="window.location.href = '<?php echo Router::url('/') ?>admin/{pluralName}/search'">
                                    Advanced
                                </button>
                            </span>
                        </div>
                        <?php echo $this->Form->end() ?>                    
                    </div>
                </div>

                <div class="row" style="margin-top: 15px">

                    <div class="col-lg-12">

                        <?php if (count(${pluralName}) > 0) : ?>

                            <?php echo $this->Form->create('{modelName}', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>
                            <div id="no-more-tables">

                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th style="width: 50px"><input id="checkAll" type="checkbox" value="all"/></th>
                                            <th style="width: 50px"><?php echo $this->Paginator->sort('id', '#') ?></th>
                                            {tableHeader}
                                            <th style="width: 130px" class="hidden-print">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach (${pluralName} as ${singularName}): ?>
                                            <tr>
                                                <td data-title="Delete">
                                                    <?php
                                                    echo $this->Form->checkbox('{modelName}.' . ${singularName}['{modelName}']['id'], array(
                                                        'value' => ${singularName}['{modelName}']['id'],
                                                        'hiddenField' => false,
                                                        'class' => 'recordsToDelete',
                                                        'name' => 'DeleteCheck[]'
                                                    ));
                                                    ?>
                                                </td>
                                                <td data-title="#"><?php echo ${singularName}['{modelName}']['id'] ?></td>
                                                {tableColumn}
        <!--                                                <td data-title="Name">
                                                <?php echo $this->Html->link(${singularName}['{modelName}']['name'], array('action' => 'view', ${singularName}['{modelName}']['id']), array('class' => 'text-link')) ?>
                                                </td>-->
                                                <td data-title="Action" class="hidden-print">
                                                    <div class="btn-group" role="group" aria-label="...">
                                                        <?php echo $this->Html->link('<i class="fa fa-pencil-square-o"></i> ' . __('Edit'), array('action' => 'edit', ${singularName}['{modelName}']['id']), array('class' => 'btn btn-xs btn-link', 'escape' => false)) ?>
                                                        <?php echo $this->CustomForm->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), array('action' => 'delete', ${singularName}['{modelName}']['id']), array('inline' => false, 'class' => 'btn btn-xs btn-link', 'escape' => false), 'Are you sure?') ?>
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>

                            <nav class="pull-right">
                                <?php
                                echo $this->Paginator->pagination(array(
                                    'ul' => 'pagination'
                                ));
                                ?>
                            </nav>

                            <div>
                                <div style="margin-bottom: 10px">
                                    <?php echo $this->Form->submit('Delete', array('class' => 'btn btn-danger', 'div' => false)) ?>
                                    <?php // echo $this->Form->button('<i class="fa fa-trash-o"></i> Delete', array('type' => 'submit', 'escape' => false, 'class' => 'btn btn-xs btn-danger', 'div' => false)) ?>
                                    <?php
                                    if (isset($this->request->query['name']) || isset($this->request->query['term'])) {
                                        echo $this->Html->link('Clear search', array('action' => 'index'), array('class' => 'btn btn-link', 'div' => 'false'));
                                    }
                                    ?>
                                </div>
                                <!--Showing 1 to 10 of 100 entries-->
                                <?php
                                echo $this->Paginator->counter(
                                        'Showing {:start} to {:end} of {:count} entries'
                                );
                                ?>
                            </div>

                            <?php echo $this->Form->end() ?>

                            <?php echo $this->fetch('postLink') ?>

                        <?php else : ?>
                            <p class="text-center">No record(s) found. <?php echo $this->Html->link(__('Click here to add a new record.'), array('action' => 'add')); ?> 
                                <?php
                                if (isset($this->request->query['name']) || isset($this->request->query['term'])) {
                                    echo $this->Html->link('Or Click here  to clear search.', array('action' => 'index'), array('div' => 'false'));
                                }
                                ?></p>
                        <?php endif; ?>

                    </div>

                </div>
            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div>
</div>

<?php echo $this->start('scriptBottom'); ?>
<script>
    $(document).ready(function () {
        $('#checkAll').on('click', function () {
            $('.recordsToDelete').prop("checked", this.checked);
        });

        $("#formBulkDelete").submit(function (e) {
            var self = this;
            e.preventDefault();

            var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;

            if (atLeastOneIsChecked) {
                bootbox.confirm("Are you sure?", function (result) {
                    if (result) {
                        self.submit();
                    }
                });
            } else {
                bootbox.alert('Please select at least one record to delete');
            }

            return false;
        });

        $('#filterLimit').change(function () {
            window.location = '<?php echo Router::url('/', true) ?>admin/{pluralName}/index?limit=' + $(this).val();
        });

        $("#btnPrintHtml").printPage({
            url: "<?php echo Router::url('/', true) ?>admin/{pluralName}/print",
            attr: "href",
            message: "Your document is being created"
        });
    });
</script>
<?php echo $this->end(); ?>
