<?php echo $this->assign('title', '{pluralHumanName}'); ?>
<?php // $this->assign('subtitle', 'List');                                                              ?>

<?php echo $this->start('breadcrumb'); ?>
<ol class="breadcrumb">
    <li><a href="<?php echo Router::url('/') ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">{pluralHumanName}</li>
</ol>
<?php echo $this->end(); ?>

<?php echo $this->start('scriptTop'); ?>
<!-- Datatable -->
<link href="<?php echo Router::url('/') ?>plugins/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<link href="<?php echo Router::url('/') ?>plugins/datatables/extensions/Responsive/css/dataTables.responsive.css" rel="stylesheet" type="text/css" />
<link href="<?php echo Router::url('/') ?>plugins/datatables/extensions/TableTools/css/dataTables.tableTools.css" rel="stylesheet" type="text/css" />

<?php echo $this->Html->css('wep-app-datatable'); ?>

<?php echo $this->Html->css('reponsive-table'); ?>

<?php echo $this->end(); ?>

<div class="row">
    <div class="col-xs-12">
        <div class="box box-primary">
            <div class="box-header">
                <h3 class="box-title">{pluralHumanName} List</h3>

                <div class="pull-right">
                    <?php
                    if (isset($this->request->query['name']) || isset($this->request->query['term'])) {
                        echo $this->Html->link('Clear search', array('action' => 'index'), array('class' => 'btn btn-link', 'div' => 'false'));
                    }
                    ?>
                    <a id="btn{modelName}Add" class="btn btn-primary" href="<?php echo Router::url('/') ?>admin/{pluralName}/add" data-toggle="mainmodal"><i class="fa fa-plus"></i> Add New {modelName}</a>
                    <button id="btn{modelName}PrintHtml" type="button" class="btn btn-default"><i class="fa fa-print"></i></button>
                    <button class="btn btn-default" type="button" onclick="window.location.href = '<?php echo Router::url('/') ?>admin/{pluralName}/search'"><i class="fa fa-search"></i></button>
                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                        <i class="fa fa-share-square-o"></i> Export <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="<?php echo Router::url('/') ?>admin/{pluralName}/export.csv">CSV</a></li>
                        <!--<li><a href="">Excel</a></li>-->
                        <li><a target="_blank" href="<?php echo Router::url('/') ?>admin/{pluralName}/print.pdf">PDF</a></li>
                    </ul>
                </div>

            </div><!-- /.box-header -->
            <div class="box-body">
                <?php echo $this->Form->create('{modelName}', array('url' => array('action' => 'bulk_delete'), 'id' => 'formBulkDelete')) ?>
                <div id="no-more-tables">
                    <table id="table{modelName}s" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th class="text-center" style="width: 20px; padding: 8px"><input id="checkAll" type="checkbox" value="all"/></th>
                                <th style="width: 40px">#</th>
                                {tableHeader}
<!--                                <th>Username</th>
                                <th>Name</th>
                                <th>Email</th>-->
                                <th style="width: 100px" class="center hidden-print">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td>
                                    <?php echo $this->Form->submit('Delete', array('class' => 'btn btn-danger', 'div' => false)) ?>
                                    <?php // echo $this->Form->button('<i class="fa fa-trash-o"></i> Delete', array('type' => 'submit', 'escape' => false, 'class' => 'btn btn-xs btn-danger', 'div' => false)) ?>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <?php echo $this->Form->end() ?>
            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="mainModal" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="mainModalLabel" aria-hidden="true"></div>

<!--- Delete Modal Form -->
<div class="modal fade" id="modalDelete{modelName}" tabindex="-1" role="dialog" aria-labelledby="modalDelete{modelName}">    
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title">Delete {singularName}</h4>
            </div>
            <div class="modal-body">
                <p><?php echo __('Are you sure you want to delete this {singularName}, ') ?> <span class="label-name text-bold"></span> ?</p>
            </div>
            <div class="modal-footer">
                <a class="btn" data-dismiss="modal">Cancel</a>
                <form style="display: inline-block" id="formDelete{modelName}" method="post" action="<?php echo Router::url('/', true) ?>admin/{pluralName}/delete">
                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

<?php echo $this->start('scriptBottom'); ?>
<!-- Cake Ajax Form -->
<script src="<?php echo Router::url('/') ?>js/jquery.form.js"></script>
<script src="<?php echo Router::url('/') ?>js/jquery.cake.form.js"></script>

<script type="text/javascript">

                                function fnRowSelected(row)
                                {
                                var s = $(row).is(':checked');
                                        if (s == true) {
                                $(row).closest('tr').addClass('selected');
                                } else {
                                $(row).closest('tr').removeClass('selected');
                                }
                                }

                        $(document).ready(function () {

                        $('#checkAll').on('click', function () {
                        $('.recordsToDelete').prop("checked", this.checked);
                                if (this.checked) {
                        $('.recordsToDelete').closest('tr').addClass('selected');
                        } else {
                        $('.recordsToDelete').closest('tr').removeClass('selected');
                        }
                        });
                                $("#formBulkDelete").submit(function (e) {
                        var self = this;
                                e.preventDefault();
                                var atLeastOneIsChecked = $('input[name="DeleteCheck[]"]:checked').length > 0;
                                if (atLeastOneIsChecked) {
                        bootbox.confirm("Are you sure?", function (result) {
                        if (result) {
                        self.submit();
                        }
                        });
                        } else {
                        bootbox.alert('Please select at least one record to delete');
                        }

                        return false;
                        });
                                $('#table{modelName}s').DataTable({
                        //					dom: 'T<"clear">lfrtip',
                        //                        "sDom": "T<'clear'><'row'<'col-sm-12'<'pull-right form-group'f><'pull-left form-group'l>r<'clearfix'>>>t<'row'<'col-sm-12'<'pull-left'i><'pull-right'p><'clearfix'>>>",
                        "ajax": "<?php echo Router::url('/') ?>admin/{pluralName}/load_data.json?<?php echo $_SERVER['QUERY_STRING'] ?>",
                                    "columns": [
                                    {data: null, defaultContent: '', orderable: false},
                                    {"data": "{modelName}.id"},
                                    {tableColumn}
//                                                {"data": "{modelName}.name"},
//                                                {"data": "{modelName}.username"},
//                                                {"data": "{modelName}.email"},
                                    {"data": null, bSortable: false, bSearchable: false}
                                    ],
                                    order: [2, 'asc'],
//                        dom: 'T<"clear">lfrtip',
//                        tableTools: {
                                    //                            sRowSelect: 'os',
                                    //                            sRowSelector: 'td:first-child',
                                    //                            aButtons: ['select_all', 'select_none']
//                        },
                                    deferRender: true,
                                    "createdRow": function (row, data, index) {
                                    $('td:eq(0)', row).attr('data-title', '');
                                            $('td:eq(1)', row).attr('data-title', 'Id');
                                    {dataTablesColumnsRes}
//                                                $('td:eq(2)', row).attr('data-title', 'Name');
//                                                $('td:eq(3)', row).attr('data-title', 'Username');
//                                                $('td:eq(4)', row).attr('data-title', 'Email');
                                    $('td:eq({actionColNo})', row).attr('data-title', 'Action');
                                            // delete checkbox
                                            var checkbox = '';
                                            checkbox += '<input type="checkbox" name="DeleteCheck[]" value="' + data.{modelName}.id + '" class="recordsToDelete" onclick="javascript:fnRowSelected(this);"></input>';
                                            $('td:eq(0)', row).html(checkbox);
                                            $('td:eq(0)', row).addClass('text-center');
                                            // view link
                                            var viewLink = '';
                                            viewLink += '<a href="<?php echo Router::url('/') ?>admin/{pluralName}/view/' + data.{modelName}.id + '" {useMasterDetailsView}>' + data.{modelName}.name + '</a>';
                                            $('td:eq({viewLinkColNo})', row).html(viewLink);
                                            // edit and delete button
                                            var buttons = '';
                                            buttons += '<div class="btn-group" role="group" aria-label="..."><a class="btn btn-link btn-xs" href="<?php echo Router::url('/') ?>admin/{pluralName}/edit/' + data.{modelName}.id + '" data-toggle="mainmodal"><i class="fa fa-pencil-square-o"></i> Edit</a>';
                                            buttons += '<button type="button" class="btn btn-link btn-xs" data-toggle="modal" data-target="#modalDelete{modelName}" data-url="<?php echo Router::url('/') ?>admin/{pluralName}/delete/' + data.{modelName}.id + '" data-name="' + data.{modelName}.name + '"><i class="fa fa-trash-o"></i> Delete</button></div> ';
                                            $('td:eq({actionColNo})', row).html(buttons);
                                            $('td:eq({actionColNo})', row).addClass('center hidden-print');
                                    }
                            //            tableTools: {
                            //                aButtons: [
                            //                    {
                            //                        sExtends: "copy",
                            //                        mColumns: [1, 2, 3]
                            //                    },
                            //                    {
                            //                        sExtends: "csv",
                            //                        mColumns: [1, 2, 3]
                            //                    },,
                            //                    {
                            //                        sExtends: "xls",
                            //                        mColumns: [1, 2, 3]
                            //                    },
                            //                    {
                            //                        sExtends: "pdf",
                            //                        mColumns: [1, 2, 3]
                            //                    },
                            //                    {
                            //                        sExtends: "print",
                            //                        mColumns: [1, 2, 3]
                            //                    }
                            //                ]}

                            });
                                    $("#btn{modelName}PrintHtml").printPage({
                            url: "<?php echo Router::url('/', true) ?>admin/{pluralName}/print",
                                    attr: "href",
                                    message: "Your document is being created"
                            });
                                    $('#modalDelete{modelName}').on('show.bs.modal', function (event) {
                            var button = $(event.relatedTarget);
                                    var url = button.data('url');
                                    var name = button.data('name');
                                    var modal = $(this);
                                    modal.find('form').attr('action', url);
                                    modal.find('.label-name').html(name);
                            });
                                    $('#table{modelName}s').on('draw.dt', function () {
                            initAjaxModal();
                            });
                                    initAjaxModal();
                            });
                                    function initAjaxModal() {
                                    $('[data-toggle="mainmodal"]').bind('click', function (e) {
                                    e.preventDefault();
                                            NProgress.start();
                                            var url = $(this).attr('href');
                                            $.get(url, function (data) {
                                            $('#mainModal').modal();
                                                    $('#mainModal').html(data);
                                            }).success(function () {
                                    NProgress.done();
                                    }).fail(function (data) {
                                    $('#redirect').html(data.responseText);
                                    });
                                    });
                                    }


</script>
<?php echo $this->end(); ?>